#ifndef __FOLDER_H__
#define __FOLDER_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2002, 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/
/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern void folder_init (void);
extern void folder_free_resources (void);
extern int  folder_read_box (char *name);
extern void folder_page_next (void);
extern void folder_page_prev (void);
/** moves bar to the next position */
extern void folder_bar_next (void);
/** moves bar to the previous position */
extern void folder_bar_prev (void);
/** moves bar to the first position */
extern void folder_bar_first (void);
/*! moves bar to the last position */
extern void folder_bar_last (void);
extern int  folder_bar_index(void);
/// rewrites folder window
extern void folder_refresh (void);
/** refreshes folder window */
extern void folder_soft_refresh (void);
/** reads box once more */
extern void folder_re_read (void);
extern void folder_redraw_bar (void);
extern void folder_after_read (void);
extern void folder_after_reply (void);
extern void folder_after_fwd (void);
/** marks mail as trashed */
extern void folder_delete_mail (void);
extern void folder_toggle_flag (void);
extern void folder_flag_all (void);
extern void folder_unflag_all (void);
extern void folder_flag_invert (void);
extern void folder_flagged_make_read (void);
/** deletes trashed mail */
extern void folder_flush (void);
extern void folder_move_mail (void);
extern void folder_move_flagged (void);

extern void folder_check_spam (void);
extern void folder_delete_as_spam (void);
extern void folder_make_legitimate (void);
extern void folder_check_new_for_spam (void);
extern void folder_check_not_checked (void);
extern void folder_trash_spam (void);
extern void folder_scan_legitimate (void);
extern void folder_none_was_scanned (void);

extern void folder_sort_threads (void);
extern void folder_sort_date (void);
extern void folder_sort_from (void);
extern void folder_sort_subject (void);
extern void folder_sort_index (void);

extern void folder_at_leave (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER folder.h
 *
 ****************************************************************************/
#endif
