#ifndef __MAILDIR_H__
#define __MAILDIR_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include "mail.h"
#include "mime.h"

/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern int   maildir_is_valid (const char *dir);
extern int   maildir_read_dir (char *dir);
extern int   maildir_mail_header (mail_t *mail, char **place);
extern int   maildir_mail_body (mail_t *mail, char **place, mime_t *mime);
extern void  maildir_free_resources (void);
extern char *maildir_valid_file_name (void);
extern char *maildir_tmp_file (char *dir);
extern void  maildir_move_to_new (char *fname);
extern void  maildir_move_to_cur (mail_t *mail);
extern void  maildir_add_flag (mail_t *mail, flag_t flag);
extern void  maildir_remove_flag (mail_t *mail, flag_t flag);
extern void  maildir_remove_trashed (void);
extern int   maildir_create_dir (char *name);
extern int   maildir_move_mail_to (mail_t *mail, char *dir);
extern int   maildir_mail_size (mail_t *mail);
extern int   maildir_mail_count (const char *box, int *unread);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER maildir.h
 *
 ****************************************************************************/
#endif
