#ifndef __WRAPBOX_H__
#define __WRAPBOX_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include "mail.h"

/****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern void wrapbox_free_resources (void);
extern int  wrapbox_read_box (char *name);
extern int  wrapbox_mail_header (mail_t *mail, char **place);
extern int  wrapbox_mail_body (mail_t *mail, char **place, int mime_index);
extern void wrapbox_add_flag (mail_t *mail, flag_t flag);
extern void wrapbox_remove_flag (mail_t *mail, flag_t flag);
extern void wrapbox_remove_trashed (void);
extern int  wrapbox_move_mail_to (mail_t *mail, char *box);
extern int  wrapbox_mail_size (mail_t *mail);
extern int  wrapbox_mail_count (const char *box, int *unread);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER wrapbox.h
 *
 ****************************************************************************/
#endif
